Bug 41236 - New file not saved correctly
Summary: New file not saved correctly
Status: VERIFIED FIXED
Alias: None
Product: Xamarin Studio
Classification: Desktop
Component: Text Editor (show other bugs)
Version: 6.0.0 (C7)
Hardware: PC Windows
: --- major
Target Milestone: C7SR1
Assignee: Mike Krüger
URL:
Depends on:
Blocks:
 
Reported: 2016-05-22 03:32 UTC by Mikayla Hutchinson [MSFT]
Modified: 2016-07-06 17:51 UTC (History)
3 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
VERIFIED FIXED

Description Mikayla Hutchinson [MSFT] 2016-05-22 03:32:23 UTC
To repro:

1. Open XS
2. File->New file->Web->Html
3. Save
4. Close file
5. File->Recent Files-> reopen same file

Actual results
a) After step 3, file still shows as unsaved
b) After step 5, reopened file is just empty lines
Comment 1 xamarin-release-manager 2016-05-23 07:59:03 UTC
Fixed in version 6.1.0.862 (master)

Author: Mike Kr??ger
Commit: f019727ae2405f91cf399aa7e960eb1b102fce78 (mono/monodevelop)
Comment 2 xamarin-release-manager 2016-06-07 21:54:57 UTC
Fixed in version 6.0.1.13 (cycle7)

Author: Lluis Sanchez
Commit: d045ee9e9c935c068af31ff6b316d9228fec02f5 (mono/monodevelop)
Comment 3 xamarin-release-manager 2016-06-15 18:45:50 UTC
Fixed in version 6.0.2.19 (cycle7-app-insights-rebased)

Author: Lluis Sanchez
Commit: d045ee9e9c935c068af31ff6b316d9228fec02f5 (mono/monodevelop)